<!--
  @description       : 
  @author            : Viktor Bogdan
  @group             : 
  @last modified on  : 08-10-2021
  @last modified by  : Viktor Bogdan
-->
<template>
    <!-- <lightning-record-edit-form object-api-name='Contact' record-id={recordId}>
        <lightning-input-field field-name={nameField}>
        </lightning-input-field>
        <lightning-input-field field-name={phoneField}>
        </lightning-input-field>
        <div class="slds-var-m-top_medium">
            <lightning-button variant="brand" type="submit" label="Save">
            </lightning-button>
        </div>
    </lightning-record-edit-form> -->

    <lightning-card>
        <div>
            <form class="slds-form_stacked">
                <h2>New Contact</h2>
                <lightning-input type="text" class="firstName" label="First Name"></lightning-input>
                <lightning-input type="text" class="lastName" label="Last Name" required> </lightning-input>
                <lightning-input type="text" class="department" label="Department" required> </lightning-input>
                <lightning-input type="text" class="phone" label="Phone"> </lightning-input>
                <lightning-button label="Create new Contact" onclick={handleClick}></lightning-button>
            </form>
        </div>
    </lightning-card>



    <lightning-card>
        Contacts
        <template if:true={contacts}>
            <lightning-datatable key-field="Id" data={contacts} columns={columns}>
            </lightning-datatable>
        </template>
        <template if:true={errors}>
            <p>{errors}</p>
        </template>
    </lightning-card>
</template>